Subject: Final processing again and again?

From: [email-masked] (Mi Mi)
Date: Mon, 1 Nov 93 16:21:24 CST

Just do whatever the INS wants you to do to satisfy them...In hope to get 
your GC superfast!

Mi Mi Sr.

   Date: Mon, 1 Nov 93 10:37:55 CST
   Reply-To: [email-masked]
   Originator: [email-masked]
   Sender: [email-masked]
   Precedence: bulk
   From: Ping Ding <[email-masked]>
   X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
   X-Comment:  Late-Arrival-DependentS-List 

   AS a CSPAer, I got an approval notice from the Northern center
   in late September which asked me to do the final processing in
   local INS. I did what they wanted in the following days (actually
   I have processed my I-89 since I got my receipt). Several days later,
   I (maybe everybody) received a letter saying that you don't need
   to do your final processing if you have done that. Last week, I got  
   an I-797 again which is exact the same one with my approval notice
   except the date. I am confused by these things. I have processed
   my I-89 two times.
   I have a friend with the same situation as mine (he also processed 

   twice I-89). He went to Denver INS last week, the officer there told
   him it is not necessary for him to process the third time I-89. So, 

   center or local, do or do not, I wonder what's going on there?

   Thanks for your comments!